import { OnInit, EventEmitter } from '@angular/core';
import { TestData } from '../../../models';
export declare class ThemeSelectorComponent implements OnInit {
    testData: TestData;
    emitSelectedAppTheme: EventEmitter<number>;
    selectedAppTheme: number;
    appThemesArrayData: {
        id: number;
        name: string;
        properties: {
            '--primary-color': string;
            '--secondary-color': string;
            '--tertiary-color': string;
            '--text-color': string;
        };
    }[];
    constructor();
    ngOnInit(): void;
    onAppThemeChanged(appThemeSelected: any): void;
}
